"use client"

import Image from "@/components/Image"
import Button from "@/components/TempDesignSystem/Button"

import type { User } from "@/types/user"

export default function CopyButton({ membership }: Pick<User, "membership">) {
  function handleCopy() {
    console.log(`COPIED! (${membership ? membership.membershipNumber : "N/A"})`)
  }

  return (
    <Button onClick={handleCopy} type="button" variant="icon">
      <Image
        alt="Copy Icon"
        height={20}
        src="/_static/icons/copy.svg"
        width={20}
      />
    </Button>
  )
}
